import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/blade-system/fee-item/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    },
  });
};

export const getDetail = id => {
  return request({
    url: '/blade-system/fee-item/detail',
    method: 'get',
    params: {
      id,
    },
  });
};

export const remove = ids => {
  return request({
    url: '/blade-system/fee-item/remove',
    method: 'post',
    params: {
      ids,
    },
  });
};

export const submit = row => {
  return request({
    url: '/blade-system/fee-item/submit',
    method: 'post',
    data: row,
  });
};

export const changeStatus = (id, status) => {
  return request({
    url: '/blade-system/fee-item/status',
    method: 'post',
    params: {
      id,
      status,
    },
  });
};
